# module TkMenuEntryConfig

### Private Instance Methods

__item_cget_cmd(id) click to toggle source

    # File lib/tk/menu.rb, line 12
    def __item_cget_cmd(id)
      [self.path, 'entrycget', id]
    end

__item_config_cmd(id) click to toggle source

    # File lib/tk/menu.rb, line 17
    def __item_config_cmd(id)
      [self.path, 'entryconfigure', id]
    end

__item_listval_optkeys(id) click to toggle source

    # File lib/tk/menu.rb, line 27
    def __item_listval_optkeys(id)
      []
    end

__item_strval_optkeys(id) click to toggle source
Calls superclass method

    # File lib/tk/menu.rb, line 22
    def __item_strval_optkeys(id)
      super(id) << 'selectcolor'
    end

__item_val2ruby_optkeys(id) click to toggle source
Calls superclass method

    # File lib/tk/menu.rb, line 32
    def __item_val2ruby_optkeys(id)  # { key=>proc, ... }
      super(id).update('menu'=>proc{|i, v| window(v)})
    end